LibreOffice: XDataTransferProviderAccess Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XDataTransferProviderAccess Interface Referencepublished

This interface extends the XToolkit interface with clipboard and drag-and-drop support. More...

`import"XDataTransferProviderAccess.idl";`

Inheritance diagram for XDataTransferProviderAccess:

## Public Member Functions
com::sun::star::datatransfer::dnd::XDragGestureRecognizer | getDragGestureRecognizer ([in] XWindow window)
| returns the drag gesture recognizer of the specified window. More...
com::sun::star::datatransfer::dnd::XDragSource | getDragSource ([in] XWindow window)
| returns the drag source of the specified window. More...
com::sun::star::datatransfer::dnd::XDropTarget | getDropTarget ([in] XWindow window)
| returns the drop target of the specified window. More...
com::sun::star::datatransfer::clipboard::XClipboard | getClipboard ([in] string clipboardName)
| returns the specified clipboard. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface extends the XToolkit interface with clipboard and drag-and-drop support.

## Member Function Documentation

## ◆ getClipboard()

com::sun::star::datatransfer::clipboard::XClipboard getClipboard | ( | [in] string | clipboardName | ) |

returns the specified clipboard.

Returns
  the specified clipboard (if available).

Parameters

  clipboardName | the name of the clipboard to return. If an empty string is passed in, the default clipboard is returned.

## ◆ getDragGestureRecognizer()

com::sun::star::datatransfer::dnd::XDragGestureRecognizer getDragGestureRecognizer | ( | [in] XWindow | window | ) |

returns the drag gesture recognizer of the specified window.

Returns
  the drag gesture recognizer.

Parameters

  window | a window created by the same toolkit instance.

## ◆ getDragSource()

com::sun::star::datatransfer::dnd::XDragSource getDragSource | ( | [in] XWindow | window | ) |

returns the drag source of the specified window.

Returns
  the drag source.

Parameters

  window | a window created by the same toolkit instance.

## ◆ getDropTarget()

com::sun::star::datatransfer::dnd::XDropTarget getDropTarget | ( | [in] XWindow | window | ) |

returns the drop target of the specified window.

Returns
  the drop target.

Parameters

  window | a window created by the same toolkit instance.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDataTransferProviderAccess.idl